const tseslint = require('typescript-eslint');
const base = require('./base.js');
const ts = require('./ts.js');
const importexport = require('./import.js');

module.exports = function tencentEslintConfig(options) {
  const configs = [
    base,
    importexport,
  ];

  if (options.tsconfigRootDir) {
    return tseslint.config(...configs, tseslint.configs.base, {
      languageOptions: {
        parserOptions: {
          project: options.project || true,
          tsconfigRootDir: options.tsconfigRootDir,
        },
      },
      ...ts,
    });
  }

  return configs;
};
